Members
Get Member Entitlements
Lists Member Benefits
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
member_id*string
Query Parameters
page?integer
Page number
Default
1Range
1 <= valuesize?integer
Page size
Default
50Range
1 <= value <= 100Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.members.dev/portal/v1/members/string/benefits"{
"items": [
{
"benefit_type": "meter",
"benefit_id": "string",
"status": "scheduled",
"next_update": {
"updates_at": {},
"value_initial": 0
},
"value": 0
}
],
"total": 0,
"page": 1,
"size": 1,
"pages": 0
}{
"type": "https://api.members.dev/errors/invalid_credentials",
"title": "Invalid credentials",
"status": 401,
"detail": "Invalid API Key or token.",
"code": "invalid_credentials"
}{
"type": "https://api.members.dev/errors/not_linked_to_tenant",
"title": "Not linked to tenant",
"status": 403,
"detail": "Not linked to this tenant",
"code": "not_linked_to_tenant"
}{
"type": "https://api.members.dev/errors/member_not_found",
"title": "Member not found",
"status": 404,
"detail": "No member exists with the given id in this organization.",
"code": "member_not_found"
}{
"type": "https://api.members.dev/errors/members_context_required",
"title": "Members context required",
"status": 422,
"detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
"code": "members_context_required"
}{
"type": "https://api.members.dev/errors/rate_limit_exceeded",
"title": "Rate limit exceeded",
"status": 429,
"detail": "Rate limit exceeded",
"code": "rate_limit_exceeded"
}